std::ios_base Class Reference
I/O
Inheritance diagram for std::ios_base:
[legend]

## Classes

class | failure

## Public Types

enum | event { erase_event, imbue_event, copyfmt_event }
typedef void(* | event_callback )(event __e, ios_base &__b, int __i)
typedef _Ios_Fmtflags | fmtflags
typedef int | io_state
typedef _Ios_Iostate | iostate
typedef int | open_mode
typedef _Ios_Openmode | openmode
typedef int | seek_dir
typedef _Ios_Seekdir | seekdir
typedef std::streamoff | streamoff
typedef std::streampos | streampos

## Public Member Functions

virtual | ~ios_base ()
const locale & | _M_getloc () const
fmtflags | flags () const
fmtflags | flags (fmtflags __fmtfl)
locale | getloc () const
locale | imbue (const locale &__loc) throw ()
long & | iword (int __ix)
streamsize | precision () const
streamsize | precision (streamsize __prec)
void *& | pword (int __ix)
void | register_callback (event_callback __fn, int __index)
fmtflags | setf (fmtflags __fmtfl)
fmtflags | setf (fmtflags __fmtfl, fmtflags __mask)
void | unsetf (fmtflags __mask)
streamsize | width () const
streamsize | width (streamsize __wide)

## Static Public Member Functions

static bool | sync_with_stdio (bool __sync=true)
static int | xalloc () throw ()

## Static Public Attributes

static const fmtflags | adjustfield
static const openmode | app
static const openmode | ate
static const iostate | badbit
static const fmtflags | basefield
static const seekdir | beg
static const openmode | binary
static const fmtflags | boolalpha
static const seekdir | cur
static const fmtflags | dec
static const seekdir | end
static const iostate | eofbit
static const iostate | failbit
static const fmtflags | fixed
static const fmtflags | floatfield
static const iostate | goodbit
static const fmtflags | hex
static const openmode | in
static const fmtflags | internal
static const fmtflags | left
static const fmtflags | oct
static const openmode | out
static const fmtflags | right
static const fmtflags | scientific
static const fmtflags | showbase
static const fmtflags | showpoint
static const fmtflags | showpos
static const fmtflags | skipws
static const openmode | trunc
static const fmtflags | unitbuf
static const fmtflags | uppercase

## Protected Types

enum | { _S_local_word_size }

## Protected Member Functions

void | _M_call_callbacks (event __ev) throw ()
void | _M_dispose_callbacks (void) throw ()
_Words & | _M_grow_words (int __index, bool __iword)
void | _M_init () throw ()

## Protected Attributes

_Callback_list * | _M_callbacks
iostate | _M_exception
fmtflags | _M_flags
locale | _M_ios_locale
_Words | _M_local_word [_S_local_word_size]
streamsize | _M_precision
iostate | _M_streambuf_state
streamsize | _M_width
_Words * | _M_word
int | _M_word_size
_Words | _M_word_zero

## Detailed Description

The base of the I/O class hierarchy.

This class defines everything that can be defined about I/O that does not depend on the type of characters being input or output. Most people will only see `ios_base` when they need to specify the full name of the various I/O flags (e.g., the openmodes).

Definition at line 199 of file ios_base.h.

## Member Typedef Documentation

typedef void(* std::ios_base::event_callback)(event __e, ios_base &__b, int __i)

The type of an event callback function.

Parameters

  __e | One of the members of the event enum.
  __b | Reference to the ios_base object.
  __i | The integer provided when the callback was registered.

Event callbacks are user defined functions that get called during several ios_base and basic_ios functions, specifically imbue(), copyfmt(), and ~ios().

Definition at line 436 of file ios_base.h.

typedef _Ios_Fmtflags std::ios_base::fmtflags

This is a bitmask type.

`_Ios_Fmtflags is` implementation-defined, but it is valid to perform bitwise operations on these values and expect the Right Thing to happen. Defined objects of type fmtflags are:

- boolalpha
- dec
- fixed
- hex
- internal
- left
- oct
- right
- scientific
- showbase
- showpoint
- showpos
- skipws
- unitbuf
- uppercase
- adjustfield
- basefield
- floatfield

Definition at line 255 of file ios_base.h.

typedef _Ios_Iostate std::ios_base::iostate

This is a bitmask type.

`_Ios_Iostate is` implementation-defined, but it is valid to perform bitwise operations on these values and expect the Right Thing to happen. Defined objects of type iostate are:

- badbit
- eofbit
- failbit
- goodbit

Definition at line 330 of file ios_base.h.

typedef _Ios_Openmode std::ios_base::openmode

This is a bitmask type.

`_Ios_Openmode is` implementation-defined, but it is valid to perform bitwise operations on these values and expect the Right Thing to happen. Defined objects of type openmode are:

- app
- ate
- binary
- in
- out
- trunc

Definition at line 361 of file ios_base.h.

typedef _Ios_Seekdir std::ios_base::seekdir

This is an enumerated type.

`_Ios_Seekdir is` implementation-defined. Defined values of type seekdir are:

- beg
- cur, equivalent to `SEEK_CUR` in the C standard library.
- end, equivalent to `SEEK_END` in the C standard library.

Definition at line 393 of file ios_base.h.

## Member Enumeration Documentation

enum std::ios_base::event

The set of events that may be passed to an event callback.

erase_event is used during ~ios() and copyfmt(). imbue_event is used during imbue(). copyfmt_event is used during copyfmt().

Definition at line 419 of file ios_base.h.

## Constructor & Destructor Documentation

virtual std::ios_base::~ios_base | ( |  | ) |

virtual

Invokes each callback with erase_event. Destroys local storage.

Note that the ios_base object for the standard streams never gets destroyed. As a result, any callbacks registered with the standard streams will not get invoked with erase_event (unless copyfmt is used).

## Member Function Documentation

const locale& std::ios_base::_M_getloc | ( |  | ) | const

inline

Locale access.

Returns
  A reference to the current locale.

Like getloc above, but returns a reference instead of generating a copy.

Definition at line 706 of file ios_base.h.

Referenced by std::money_get< _CharT, _InIter >::do_get(), std::num_get< _CharT, _InIter >::do_get(), std::time_get< _CharT, _InIter >::do_get_date(), std::time_get< _CharT, _InIter >::do_get_monthname(), std::time_get< _CharT, _InIter >::do_get_time(), std::time_get< _CharT, _InIter >::do_get_weekday(), std::time_get< _CharT, _InIter >::do_get_year(), std::time_put< _CharT, _OutIter >::do_put(), std::num_put< _CharT, _OutIter >::do_put(), and std::time_put< _CharT, _OutIter >::put().

fmtflags std::ios_base::flags | ( |  | ) | const

inline

Access to format flags.

Returns
  The format control flags for both input and output.

Definition at line 551 of file ios_base.h.

Referenced by std::basic_ios< _CharT, _Traits >::copyfmt(), std::num_get< _CharT, _InIter >::do_get(), std::num_put< _CharT, _OutIter >::do_put(), std::basic_ostream< _CharT, _Traits >::operator<<(), std::operator<<(), std::operator>>(), and std::basic_istream< _CharT, _Traits >::sentry::sentry().

fmtflags std::ios_base::flags | ( | fmtflags | __fmtfl | ) |

inline

Setting new format flags all at once.

Parameters

  __fmtfl | The new flags to set.

Returns
  The previous format control flags.

This function overwrites all the format flags with __fmtfl.

Definition at line 562 of file ios_base.h.

locale std::ios_base::getloc | ( |  | ) | const

inline

Locale access.

Returns
  A copy of the current locale.

If `imbue(loc)` has previously been called, then this function returns `loc`. Otherwise, it returns a copy of `std::locale()`, the global C++ locale.

Definition at line 695 of file ios_base.h.

Referenced by std::basic_ios< _CharT, _Traits >::copyfmt(), std::money_put< _CharT, _OutIter >::do_put(), std::operator>>(), and std::ws().

locale std::ios_base::imbue | ( | const locale & | __loc | ) | throw ()

Setting a new locale.

Parameters

  __loc | The new locale.

Returns
  The previous locale.

Sets the new locale for this stream, and then invokes each callback with imbue_event.

Referenced by std::basic_ios< _CharT, _Traits >::imbue().

long& std::ios_base::iword | ( | int | __ix | ) |

inline

Access to integer array.

Parameters

  __ix | Index into the array.

Returns
  A reference to an integer associated with the index.

The iword function provides access to an array of integers that can be used for any purpose. The array grows as required to hold the supplied index. All integers in the array are initialized to 0.

The implementation reserves several indices. You should use xalloc to obtain an index that is safe to use. Also note that since the array can grow dynamically, it is not safe to hold onto the reference.

Definition at line 741 of file ios_base.h.

streamsize std::ios_base::precision | ( |  | ) | const

inline

Flags access.

Returns
  The precision to generate on certain output operations.

Be careful if you try to give a definition of precision here; see DR 189.

Definition at line 621 of file ios_base.h.

Referenced by std::basic_ios< _CharT, _Traits >::copyfmt(), and std::operator<<().

streamsize std::ios_base::precision | ( | streamsize | __prec | ) |

inline

Changing flags.

Parameters

  __prec | The new precision value.

Returns
  The previous value of precision().

Definition at line 630 of file ios_base.h.

void*& std::ios_base::pword | ( | int | __ix | ) |

inline

Access to void pointer array.

Parameters

  __ix | Index into the array.

Returns
  A reference to a void* associated with the index.

The pword function provides access to an array of pointers that can be used for any purpose. The array grows as required to hold the supplied index. All pointers in the array are initialized to 0.

The implementation reserves several indices. You should use xalloc to obtain an index that is safe to use. Also note that since the array can grow dynamically, it is not safe to hold onto the reference.

Definition at line 762 of file ios_base.h.

void std::ios_base::register_callback | ( | event_callback | __fn,
|  | int | __index
| ) |  |

Add the callback __fn with parameter __index.

Parameters

  __fn | The function to add.
  __index | The integer to pass to the function when invoked.

Registers a function as an event callback with an integer parameter to be passed to the function when invoked. Multiple copies of the function are allowed. If there are multiple callbacks, they are invoked in the order they were registered.

fmtflags std::ios_base::setf | ( | fmtflags | __fmtfl | ) |

inline

Setting new format flags.

Parameters

  __fmtfl | Additional flags to set.

Returns
  The previous format control flags.

This function sets additional flags in format control. Flags that were previously set remain set.

Definition at line 578 of file ios_base.h.

Referenced by std::dec(), std::fixed(), std::hex(), std::left(), std::oct(), std::right(), std::scientific(), std::showbase(), std::showpoint(), std::showpos(), std::skipws(), std::unitbuf(), and std::uppercase().

fmtflags std::ios_base::setf | ( | fmtflags | __fmtfl,
|  | fmtflags | __mask
| ) |  |

inline

Setting new format flags.

Parameters

  __fmtfl | Additional flags to set.
  __mask | The flags mask for fmtfl.

Returns
  The previous format control flags.

This function clears mask in the format flags, then sets fmtfl `&` mask. An example mask is `ios_base::adjustfield`.

Definition at line 595 of file ios_base.h.

static bool std::ios_base::sync_with_stdio | ( | bool | __sync = `true` | ) |

static

Interaction with the standard C I/O objects.

Parameters

  __sync | Whether to synchronize or not.

Returns
  True if the standard streams were previously synchronized.

The synchronization referred to is only that between the standard C facilities (e.g., stdout) and the standard C++ objects (e.g., cout). User-declared streams are unaffected. See http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt11ch28s02.html

void std::ios_base::unsetf | ( | fmtflags | __mask | ) |

inline

Clearing format flags.

Parameters

  __mask | The flags to unset.

This function clears __mask in the format flags.

Definition at line 610 of file ios_base.h.

Referenced by std::noboolalpha(), std::noshowbase(), std::noshowpoint(), std::noshowpos(), std::noskipws(), std::nounitbuf(), and std::nouppercase().

streamsize std::ios_base::width | ( |  | ) | const

inline

Flags access.

Returns
  The minimum field width to generate on output operations.

Minimum field width refers to the number of characters.

Definition at line 644 of file ios_base.h.

Referenced by std::basic_ios< _CharT, _Traits >::copyfmt(), std::num_put< _CharT, _OutIter >::do_put(), and std::operator>>().

streamsize std::ios_base::width | ( | streamsize | __wide | ) |

inline

Changing flags.

Parameters

  __wide | The new width value.

Returns
  The previous value of width().

Definition at line 653 of file ios_base.h.

static int std::ios_base::xalloc | ( |  | ) | throw ()

static

Access to unique indices.

Returns
  An integer different from all previous calls.

This function returns a unique integer every time it is called. It can be used for any purpose, but is primarily intended to be a unique index for the iword and pword functions. The expectation is that an application calls xalloc in order to obtain an index in the iword and pword arrays that can be used without fear of conflict.

The implementation maintains a static variable that is incremented and returned on each invocation. xalloc is guaranteed to return an index that is safe to use in the iword and pword arrays.

## Member Data Documentation

const fmtflags std::ios_base::adjustfield

static

A mask of left|right|internal. Useful for the 2-arg form of `setf`.

Definition at line 310 of file ios_base.h.

Referenced by std::num_put< _CharT, _OutIter >::do_put(), std::internal(), std::left(), and std::right().

const openmode std::ios_base::app

static

Seek to end before each write.

Definition at line 364 of file ios_base.h.

const openmode std::ios_base::ate

static

Open and seek to end immediately after opening.

Definition at line 367 of file ios_base.h.

Referenced by std::basic_filebuf< _CharT, _Traits >::open().

const iostate std::ios_base::badbit

static

Indicates a loss of integrity in an input or output sequence (such as an irrecoverable read error from a file).

Definition at line 334 of file ios_base.h.

Referenced by std::basic_ostream< char >::_M_write(), std::basic_ios< char, char_traits< char > >::bad(), std::basic_ios< char, char_traits< char > >::fail(), std::basic_ostream< _CharT, _Traits >::flush(), std::basic_istream< _CharT, _Traits >::get(), std::basic_istream< _CharT, _Traits >::getline(), std::basic_istream< _CharT, _Traits >::ignore(), std::basic_ostream< _CharT, _Traits >::operator<<(), std::operator<<(), std::basic_istream< _CharT, _Traits >::operator>>(), std::operator>>(), std::basic_istream< _CharT, _Traits >::peek(), std::basic_ostream< _CharT, _Traits >::put(), std::basic_istream< _CharT, _Traits >::putback(), std::basic_istream< _CharT, _Traits >::read(), std::basic_istream< _CharT, _Traits >::readsome(), std::basic_istream< _CharT, _Traits >::seekg(), std::basic_ostream< _CharT, _Traits >::seekp(), std::basic_istream< _CharT, _Traits >::sync(), std::basic_istream< _CharT, _Traits >::tellg(), std::basic_ostream< _CharT, _Traits >::tellp(), std::basic_istream< _CharT, _Traits >::unget(), std::basic_ostream< _CharT, _Traits >::write(), and std::basic_ostream< _CharT, _Traits >::sentry::~sentry().

const fmtflags std::ios_base::basefield

static

A mask of dec|oct|hex. Useful for the 2-arg form of `setf`.

Definition at line 313 of file ios_base.h.

Referenced by std::dec(), std::num_get< _CharT, _InIter >::do_get(), std::hex(), std::oct(), and std::basic_ostream< _CharT, _Traits >::operator<<().

const seekdir std::ios_base::beg

static

Request a seek relative to the beginning of the stream.

Definition at line 396 of file ios_base.h.

Referenced by std::basic_filebuf< _CharT, _Traits >::seekpos().

const openmode std::ios_base::binary

static

Perform input and output in binary mode (as opposed to text mode). This is probably not what you think it is; see http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt11ch27s02.html.

Definition at line 372 of file ios_base.h.

Referenced by std::basic_filebuf< _CharT, _Traits >::showmanyc().

const fmtflags std::ios_base::boolalpha

static

Insert/extract `bool` in alphabetic rather than numeric format.

Definition at line 258 of file ios_base.h.

Referenced by std::boolalpha(), std::num_get< _CharT, _InIter >::do_get(), std::num_put< _CharT, _OutIter >::do_put(), and std::noboolalpha().

const seekdir std::ios_base::cur

static

Request a seek relative to the current position within the sequence.

Definition at line 399 of file ios_base.h.

Referenced by std::basic_filebuf< _CharT, _Traits >::imbue(), std::basic_filebuf< _CharT, _Traits >::overflow(), std::basic_filebuf< _CharT, _Traits >::pbackfail(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::seekoff(), std::basic_filebuf< _CharT, _Traits >::seekoff(), std::basic_istream< _CharT, _Traits >::tellg(), and std::basic_ostream< _CharT, _Traits >::tellp().

const fmtflags std::ios_base::dec

static

Converts integer input or generates integer output in decimal base.

Definition at line 261 of file ios_base.h.

Referenced by std::dec().

const seekdir std::ios_base::end

static

Request a seek relative to the current end of the sequence.

Definition at line 402 of file ios_base.h.

Referenced by std::basic_filebuf< _CharT, _Traits >::open(), and std::basic_stringbuf< _CharT, _Traits, _Alloc >::seekoff().

const iostate std::ios_base::eofbit

static

Indicates that an input operation reached the end of an input sequence.

Definition at line 337 of file ios_base.h.

Referenced by std::num_get< _CharT, _InIter >::do_get(), std::time_get< _CharT, _InIter >::do_get_date(), std::time_get< _CharT, _InIter >::do_get_monthname(), std::time_get< _CharT, _InIter >::do_get_time(), std::time_get< _CharT, _InIter >::do_get_weekday(), std::time_get< _CharT, _InIter >::do_get_year(), std::basic_ios< char, char_traits< char > >::eof(), std::basic_istream< _CharT, _Traits >::get(), std::basic_istream< _CharT, _Traits >::getline(), std::basic_istream< _CharT, _Traits >::ignore(), std::basic_istream< _CharT, _Traits >::operator>>(), std::operator>>(), std::basic_istream< _CharT, _Traits >::peek(), std::basic_istream< _CharT, _Traits >::putback(), std::basic_istream< _CharT, _Traits >::read(), std::basic_istream< _CharT, _Traits >::readsome(), std::basic_istream< _CharT, _Traits >::seekg(), std::basic_istream< _CharT, _Traits >::sentry::sentry(), std::basic_istream< _CharT, _Traits >::unget(), and std::ws().

const iostate std::ios_base::failbit

static

Indicates that an input operation failed to read the expected characters, or that an output operation failed to generate the desired characters.

Definition at line 342 of file ios_base.h.

Referenced by std::basic_ifstream< _CharT, _Traits >::close(), std::basic_ofstream< _CharT, _Traits >::close(), std::basic_fstream< _CharT, _Traits >::close(), std::num_get< _CharT, _InIter >::do_get(), std::time_get< _CharT, _InIter >::do_get_monthname(), std::time_get< _CharT, _InIter >::do_get_weekday(), std::time_get< _CharT, _InIter >::do_get_year(), std::basic_ios< char, char_traits< char > >::fail(), std::basic_istream< _CharT, _Traits >::get(), std::basic_istream< _CharT, _Traits >::getline(), std::basic_ifstream< _CharT, _Traits >::open(), std::basic_ofstream< _CharT, _Traits >::open(), std::basic_fstream< _CharT, _Traits >::open(), std::basic_ostream< _CharT, _Traits >::operator<<(), std::basic_istream< _CharT, _Traits >::operator>>(), std::operator>>(), std::basic_istream< _CharT, _Traits >::read(), std::basic_istream< _CharT, _Traits >::seekg(), std::basic_ostream< _CharT, _Traits >::seekp(), std::basic_ostream< _CharT, _Traits >::sentry::sentry(), and std::basic_istream< _CharT, _Traits >::sentry::sentry().

const fmtflags std::ios_base::fixed

static

Generate floating-point output in fixed-point notation.

Definition at line 264 of file ios_base.h.

Referenced by std::fixed().

const fmtflags std::ios_base::floatfield

static

A mask of scientific|fixed. Useful for the 2-arg form of `setf`.

Definition at line 316 of file ios_base.h.

Referenced by std::fixed(), and std::scientific().

const iostate std::ios_base::goodbit

static

Indicates all is well.

Definition at line 345 of file ios_base.h.

Referenced by std::num_get< _CharT, _InIter >::do_get(), std::time_get< _CharT, _InIter >::do_get_monthname(), std::time_get< _CharT, _InIter >::do_get_weekday(), std::time_get< _CharT, _InIter >::do_get_year(), std::basic_ostream< _CharT, _Traits >::flush(), std::basic_istream< _CharT, _Traits >::get(), std::basic_istream< _CharT, _Traits >::getline(), std::basic_istream< _CharT, _Traits >::ignore(), std::basic_ostream< _CharT, _Traits >::operator<<(), std::basic_istream< _CharT, _Traits >::operator>>(), std::operator>>(), std::basic_istream< _CharT, _Traits >::peek(), std::basic_ostream< _CharT, _Traits >::put(), std::basic_istream< _CharT, _Traits >::putback(), std::basic_istream< _CharT, _Traits >::read(), std::basic_istream< _CharT, _Traits >::readsome(), std::basic_istream< _CharT, _Traits >::seekg(), std::basic_ostream< _CharT, _Traits >::seekp(), std::basic_istream< _CharT, _Traits >::sentry::sentry(), std::basic_istream< _CharT, _Traits >::sync(), and std::basic_istream< _CharT, _Traits >::unget().

const fmtflags std::ios_base::hex

static

Converts integer input or generates integer output in hexadecimal base.

Definition at line 267 of file ios_base.h.

Referenced by std::num_get< _CharT, _InIter >::do_get(), std::num_put< _CharT, _OutIter >::do_put(), std::hex(), and std::basic_ostream< _CharT, _Traits >::operator<<().

const openmode std::ios_base::in

static

Open for input. Default for `ifstream` and fstream.

Definition at line 375 of file ios_base.h.

Referenced by std::basic_filebuf< char_type, traits_type >::_M_set_buffer(), std::basic_ifstream< _CharT, _Traits >::open(), std::basic_filebuf< _CharT, _Traits >::pbackfail(), std::basic_istream< _CharT, _Traits >::seekg(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::seekoff(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::seekpos(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::showmanyc(), std::basic_filebuf< _CharT, _Traits >::showmanyc(), std::basic_istream< _CharT, _Traits >::tellg(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::underflow(), std::basic_filebuf< _CharT, _Traits >::underflow(), and std::basic_filebuf< _CharT, _Traits >::xsgetn().

const fmtflags std::ios_base::internal

static

Adds fill characters at a designated internal point in certain generated output, or identical to `right` if no such point is designated.

Definition at line 272 of file ios_base.h.

Referenced by std::internal().

const fmtflags std::ios_base::left

static

Adds fill characters on the right (final positions) of certain generated output. (I.e., the thing you print is flush left.)

Definition at line 276 of file ios_base.h.

Referenced by std::num_put< _CharT, _OutIter >::do_put(), and std::left().

const fmtflags std::ios_base::oct

static

Converts integer input or generates integer output in octal base.

Definition at line 279 of file ios_base.h.

Referenced by std::oct(), and std::basic_ostream< _CharT, _Traits >::operator<<().

const openmode std::ios_base::out

static

Open for output. Default for `ofstream` and fstream.

Definition at line 378 of file ios_base.h.

Referenced by std::basic_filebuf< char_type, traits_type >::_M_set_buffer(), std::basic_ofstream< _CharT, _Traits >::open(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::overflow(), std::basic_filebuf< _CharT, _Traits >::overflow(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::pbackfail(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::seekoff(), std::basic_ostream< _CharT, _Traits >::seekp(), std::basic_stringbuf< _CharT, _Traits, _Alloc >::seekpos(), std::basic_ostream< _CharT, _Traits >::tellp(), and std::basic_filebuf< _CharT, _Traits >::xsputn().

const fmtflags std::ios_base::right

static

Adds fill characters on the left (initial positions) of certain generated output. (I.e., the thing you print is flush right.)

Definition at line 283 of file ios_base.h.

Referenced by std::right().

const fmtflags std::ios_base::scientific

static

Generates floating-point output in scientific notation.

Definition at line 286 of file ios_base.h.

Referenced by std::scientific().

const fmtflags std::ios_base::showbase

static

Generates a prefix indicating the numeric base of generated integer output.

Definition at line 290 of file ios_base.h.

Referenced by std::noshowbase(), and std::showbase().

const fmtflags std::ios_base::showpoint

static

Generates a decimal-point character unconditionally in generated floating-point output.

Definition at line 294 of file ios_base.h.

Referenced by std::noshowpoint(), and std::showpoint().

const fmtflags std::ios_base::showpos

static

Generates a + sign in non-negative generated numeric output.

Definition at line 297 of file ios_base.h.

Referenced by std::noshowpos(), and std::showpos().

const fmtflags std::ios_base::skipws

static

Skips leading white space before certain input operations.

Definition at line 300 of file ios_base.h.

Referenced by std::noskipws(), std::basic_istream< _CharT, _Traits >::sentry::sentry(), and std::skipws().

const openmode std::ios_base::trunc

static

Open for input. Default for `ofstream`.

Definition at line 381 of file ios_base.h.

const fmtflags std::ios_base::unitbuf

static

Flushes output after each output operation.

Definition at line 303 of file ios_base.h.

Referenced by std::nounitbuf(), std::unitbuf(), and std::basic_ostream< _CharT, _Traits >::sentry::~sentry().

const fmtflags std::ios_base::uppercase

static

Replaces certain lowercase letters with their uppercase equivalents in generated output.

Definition at line 307 of file ios_base.h.

Referenced by std::num_put< _CharT, _OutIter >::do_put(), std::nouppercase(), and std::uppercase().

The documentation for this class was generated from the following file:

- ios_base.h